FEDORA-EPEL-2018-7f65484fe4 created by fab 2 years ago for Fedora EPEL 7
obsolete

restore Python 3 version for EPEL (#1599068)

This update has been submitted for testing by fab.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon markec provided feedback 2 years ago
karma
User Icon robled provided feedback 2 years ago
karma
User Icon kimheino commented & provided feedback 2 years ago
karma

See epel7 build log:

#error Do not use this file, it is the result of a failed Cython compilation.
WARNING: Failed to compile extension modules.
msgpack uses fallback pure python implementation.

This results following error when running borg:

Using a pure-python msgpack! This will result in lower performance.

Borg works, but emits above warning.

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago
User Icon robled commented & provided feedback 2 years ago
karma

The package and dependencies install successfully, but I am able to reproduce the same warning message posted by @kimheino.

Not using Cython is not a blocker.

Can we include it as well?

User Icon tis commented & provided feedback 2 years ago
karma

Giving warning every time when software is using library is not acceptable. If running python only version is ok, warning should be patched away.

Giving warning every time when software is using library is not acceptable.

Says who? The Packaging Guidelines don't make a statement about this as far as I know.

If running python only version is ok, warning should be patched away.

The warning is coming from borg and not msgpack.

Maybe offtopic here, but borg fails to compile (tests fail) after this msgpack update.

This update has been obsoleted by python-msgpack-0.5.6-4.el7.

2 years ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
-2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
BZ#1599068 python34-msgpack removed from EPEL 7, breaks borgbackup
0
0

Automated Test Results